    ptsctl(1)                                    Qualcomm Atheros Open Powerline Toolkit                                   ptsctl(1)

    NAME
           ptsctl - PTS Module Controller

    SYNOPSIS
           ptsctl [options]

    DESCRIPTION
           Set  attenuation  level on the Qualcomm Atheros Production Test System using a local RS-232 communication port.  The port
           settings must be configured before running this program.  Settings are 9600 baud, no parity, 8 data and 1 stop bit.   See
           datasheet http://www.weedtech.com/wtssr-m.pdf for more information.

    OPTIONS
           -f file
                  The  name  of  the  serial  port.   On  Linux, the name is usually "/dev/ttyS[0-4]".  On OS/X, the name is usually
                  "/dev/cua[0-4]".  On Windows, the name is "com[0-9]:".  The default is "/dev/ttyS0" on Linux and "com1:"  on  Win‐
                  dows.   If  environment  string  "PTSCTL"  is defined then it takes precedence over the default serial port.  This
                  option then takes precedence over either default.

           -g attenuation
                  The desired line/ground attenation in Decibels.  The value may be expressed in decimal,  binary,  or  hexadecimal.
                  Binary varues start with "0b" and hexadecimal values start with "0x".  The default for this option is 127 dB.

           -n attenuation
                  The  desired  line/neutral attenation in Decibels.  The value may be expressed in decimal, binary, or hexadecimal.
                  Binary varues start with "0b" and hexadecimal values start with "0x".  The default for this option is 127 dB.

           -p power
                  Turn on or off the Device Under Test power.  The value of power can be 1=on or 0=off.  Alternately, keywords  "on"
                  and "off" can be used.

           -r     Read  and  display undecorated attenuator settings on stdout.  Setting appear as two decimal integers representing
                  the attenuation in decibels.  The line/neutral setting appears first then the line/ground setting.  This option is
                  independent  of  options -n and -g.  If this option is present and the other are missing then settings are display
                  but not changed.  If this setting appears with either or both of the other two then the settings are changed  then
                  read and displayed.

           -w wait
                  Wait  time  in  milliseconds.   Serial  I/O  operation  are slow and a delay is needed after each write operation.
                  Unfortunately, different operating systems require different wait times.  This options lets you adjust  the  time.
                  The default is 10 milliseconds which should be adequate on most systems.

    EXAMPLES
           The  following  example turns the Device Under Test power on and configures the line/neutral attenuator for 72dB attenua‐
           tion.  Line ground attenation is automatically set to 127 dB since it is not specified on the command line.  Option -p is
           not necessary if the Device Under Test power is already on.

              # ptsctl -p 1 -n 72

           The  next example configures the controller for 42 dB attenuation on line/neutral and 100 dB on line/ground.  There is no
           needed to turn the Device Under Test on again because it remains on until turned off.

              # ptsctl -n 42 -g 100

           The next example configures the controller for 56 dB attenuation on line/ground and 127 dB on line/neutral, and turns the
           Device Under Test off.

              # ptsctl -p off -g 56

           The  next  example  reads  the atteuator setting and displays them on decimal format on stdout.  The line/neutral setting
           appears first then the line/ground setting.  In this example, line/neutral has 55 dB attenuation and line/ground has  120
           dB attenuation.

              # ptsctl -r
              55 120

           You  can  also set the attenuation and read it back using one command.  The next example sets line/neutral attenuation to
           10 db and line/ground attenuation to 50 db then reads the attenuator settings and displays them in  the  standard  order,
           line/neutral then line/ground.

              # ptsctl -g 50 -r -n 10
              10 50

    REFERENCES
           Information  shown above applies to WTSSR-M Solid State Relay Module by Weeder Technologies, 90-A Beal Pkwy NW, Fort Wal‐
           ton Beach FL 32548 USA; Tel +44 850 863 5723.

    SEE ALSO
           plc(1), WTSSR-M(1), weeder(1)

    CREDITS
            Charles Maier <cmaier@qca.qualcomm.com>
            Nathaniel Houghton <nhoughto@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                   ptsctl(1)

[PREV] [HOME] [NEXT]